'use client'
import {createContext, useState, useEffect} from 'react';
import {useSessionStorage} from '@/hooks';

const defaultState = {
    currentVersion: '',
    currentServer: '',
    setCurrentVersion: () => {},
    setCurrentServer: () => {}
};
export const AppContext = createContext(defaultState);

export function AppProvider({ children }) {
    const [currentVersion, setCurrentVersionState] = useState('');
    const [currentServer, setCurrentServerState] = useState('');
    const {storedSelectedServer, storeSelectedServer, storedSelectedSiteWiseVersion, storeSelectedSiteWiseVersion} = useSessionStorage();

    useEffect(() => {
        if (storedSelectedServer) setCurrentServerState(storedSelectedServer);
        if (storedSelectedSiteWiseVersion) setCurrentVersionState(storedSelectedSiteWiseVersion);
    }, []);

    const setCurrentServer = (value) => {
        setCurrentServerState(value);
        storeSelectedServer(value);
    };

    const setCurrentVersion = (value) => {
        setCurrentVersionState(value);
        storeSelectedSiteWiseVersion(value);
    };

    return <AppContext.Provider value={{ currentVersion, currentServer, setCurrentVersion, setCurrentServer }}>
        {children}
    </AppContext.Provider>
}
