export const nextSessionStorage = {
    getItem: (key) => {
        if (typeof window === 'undefined') return null;
        try {
            return sessionStorage.getItem(key);
        } catch (e) {
            console.warn(`sessionStorage.getItem failed for key "${key}"`, e);
            return null;
        }
    },

    setItem: (key, value) => {
        if (typeof window === 'undefined') return;
        try {
            sessionStorage.setItem(key, value);
        } catch (e) {
            console.warn(`sessionStorage.setItem failed for key "${key}"`, e);
        }
    },

    removeItem: (key) => {
        if (typeof window === 'undefined') return;
        try {
            sessionStorage.removeItem(key);
        } catch (e) {
            console.warn(`sessionStorage.removeItem failed for key "${key}"`, e);
        }
    },
};
