import {config} from '@/config';

export function isSsoSupported(currentVersion) {
    const extractVersionNumbers = (version) => {
        const match = version.match(/(\d+)\.(\d+)\.(\d+)/);
        if (!match) return [0, 0, 0];
        return match.slice(1).map(Number);
    };

    const [currMajor, currMinor, currPatch] = extractVersionNumbers(currentVersion);
    const [minMajor, minMinor, minPatch] = extractVersionNumbers(config.ssoSupportedVersion);

    if (currMajor !== minMajor) return currMajor > minMajor;
    if (currMinor !== minMinor) return currMinor > minMinor;
    return currPatch >= minPatch;
}
